#! /bin/csh
#
set echo
set time = 1
C
setenv R SOCt0.08
setenv T 05
setenv E 011
setenv X 01.1
setenv D ~/hycom/${R}/relax
setenv S /scratch/$USER/hycom/${R}/expt_${X}/data
setenv pget /bin/cp
mkdir -p $S
cd       $S
C

touch   tracer_const blkdat.input fort.51 fort.51A fort.52 fort.52A
/bin/rm tracer_const blkdat.input fort.51 fort.51A fort.52 fort.52A
C
C --- 12 months
C

touch fort.51 fort.51A
if (-z fort.51) then
  ${pget} ${D}/../topo/depth_${R}_${T}.b fort.51  &
endif
if (-z fort.51A) then
  ${pget} ${D}/../topo/depth_${R}_${T}.a fort.51A &
endif
C
touch regional.grid.a regional.grid.b
if (-z regional.grid.b) then
  ${pget} ${D}/../topo/regional.grid.b regional.grid.b &
endif
if (-z regional.grid.a) then
  ${pget} ${D}/../topo/regional.grid.a regional.grid.a &
endif
C
C
touch tracer_const
if (-z tracer_const) then
 ${pget} ${D}/../../ALL/relax/src/tracer_const . &
endif
wait
chmod a+rx tracer_const
ls -l
C
C
C
setenv FOR010A fort.10A
setenv FOR011A fort.11A
setenv FOR012A fort.12A
setenv FOR021A fort.21A
setenv FOR051A fort.51A
setenv FOR052A fort.52A
setenv FOR071A fort.71A
setenv FOR072A fort.72A
/bin/rm -f fort.10  fort.11  fort.12  fort.21
/bin/rm -f fort.10A fort.11A fort.12A fort.21A
C
cat << 'E-o-D' >! tracer.input
  00      'month' = month of climatology (01 to 12)
4500      'idm   ' = longitudinal array size
1250      'jdm   ' = latitudinal  array size
  32      'kdm   ' = number of layers
   1      'ntracr' = number of tracers
  0.0     'tracer ' = layer  1 tracer
  0.0     'tracer ' = layer  2 tracer
  0.0     'tracer ' = layer  3 tracer
  0.0     'tracer ' = layer  4 tracer
  0.0     'tracer ' = layer  5 tracer
  0.0     'tracer ' = layer  6 tracer
  0.0     'tracer ' = layer  7 tracer
  0.0     'tracer ' = layer  8 tracer
  0.0     'tracer ' = layer  9 tracer
  0.0     'tracer ' = layer 10 tracer
  0.0     'tracer ' = layer 11 tracer
  0.0     'tracer ' = layer 12 tracer
  0.0     'tracer ' = layer 13 tracer
  0.0     'tracer ' = layer 14 tracer
  0.0     'tracer ' = layer 15 tracer
  0.0     'tracer ' = layer 16 tracer
  0.0     'tracer ' = layer 17 tracer
  0.0     'tracer ' = layer 18 tracer
  0.0     'tracer ' = layer 19 tracer
  0.0     'tracer ' = layer 20 tracer
  0.0     'tracer ' = layer 21 tracer
  0.0     'tracer ' = layer 22 tracer
  0.0     'tracer ' = layer 23 tracer
  0.0     'tracer ' = layer 24 tracer
  0.0     'tracer ' = layer 25 tracer
  0.0     'tracer ' = layer 26 tracer
  0.0     'tracer ' = layer 27 tracer
  0.0     'tracer ' = layer 28 tracer
  0.0     'tracer ' = layer 29 tracer
  0.0     'tracer ' = layer 30 tracer
  0.0     'tracer ' = layer 31 tracer
  0.0     'tracer ' = layer 32 tracer
  1500    'if    ' = first i point of sub-region (<=0 to end)
 1600    'il    ' = last  i point of sub-region
 200     'jf    ' = first j point of sub-region
 1000    'jl    ' = last  j point of sub-region
  1.0     'tracer ' = layer  1 tracer
  1.0     'tracer ' = layer  2 tracer
  1.0     'tracer ' = layer  3 tracer
  1.0     'tracer ' = layer  4 tracer
  1.0     'tracer ' = layer  5 tracer
  1.0     'tracer ' = layer  6 tracer
  1.0     'tracer ' = layer  7 tracer
  1.0     'tracer ' = layer  8 tracer
  1.0     'tracer ' = layer  9 tracer
  1.0     'tracer ' = layer 10 tracer
  1.0     'tracer ' = layer 11 tracer
  1.0     'tracer ' = layer 12 tracer
  1.0     'tracer ' = layer 13 tracer
  1.0     'tracer ' = layer 14 tracer
  1.0     'tracer ' = layer 15 tracer
  0.0     'tracer ' = layer 16 tracer
  0.0     'tracer ' = layer 17 tracer
  0.0     'tracer ' = layer 18 tracer
  0.0     'tracer ' = layer 19 tracer
  0.0     'tracer ' = layer 20 tracer
  0.0     'tracer ' = layer 21 tracer
  0.0     'tracer ' = layer 22 tracer
  0.0     'tracer ' = layer 23 tracer
  0.0     'tracer ' = layer 24 tracer
  0.0     'tracer ' = layer 25 tracer
  0.0     'tracer ' = layer 26 tracer
  0.0     'tracer ' = layer 27 tracer
  0.0     'tracer ' = layer 28 tracer
  0.0     'tracer ' = layer 29 tracer
  0.0     'tracer ' = layer 30 tracer
  0.0     'tracer ' = layer 31 tracer
  0.0     'tracer ' = layer 32 tracer
 3500    'if    ' = first i point of sub-region (<=0 to end)
 3600    'il    ' = last  i point of sub-region
 200     'jf    ' = first j point of sub-region
 1000    'jl    ' = last  j point of sub-region
  1.0     'tracer ' = layer  1 tracer
  0.0     'tracer ' = layer  2 tracer
  0.0     'tracer ' = layer  3 tracer
  0.0     'tracer ' = layer  4 tracer
  0.0     'tracer ' = layer  5 tracer
  0.0     'tracer ' = layer  6 tracer
  0.0     'tracer ' = layer  7 tracer
  0.0     'tracer ' = layer  8 tracer
  0.0     'tracer ' = layer  9 tracer
  0.0     'tracer ' = layer 10 tracer
  0.0     'tracer ' = layer 11 tracer
  0.0     'tracer ' = layer 12 tracer
  0.0     'tracer ' = layer 13 tracer
  0.0     'tracer ' = layer 14 tracer
  0.0     'tracer ' = layer 15 tracer
  0.0     'tracer ' = layer 16 tracer
  0.0     'tracer ' = layer 17 tracer
  0.0     'tracer ' = layer 18 tracer
  0.0     'tracer ' = layer 19 tracer
  0.0     'tracer ' = layer 20 tracer
  0.0     'tracer ' = layer 21 tracer
  0.0     'tracer ' = layer 22 tracer
  0.0     'tracer ' = layer 23 tracer
  0.0     'tracer ' = layer 24 tracer
  0.0     'tracer ' = layer 25 tracer
  0.0     'tracer ' = layer 26 tracer
  0.0     'tracer ' = layer 27 tracer
  0.0     'tracer ' = layer 28 tracer
  0.0     'tracer ' = layer 29 tracer
  0.0     'tracer ' = layer 30 tracer
  0.0     'tracer ' = layer 31 tracer
  0.0     'tracer ' = layer 32 tracer
 3000    'if    ' = first i point of sub-region (<=0 to end)
 3100    'il    ' = last  i point of sub-region
 200     'jf    ' = first j point of sub-region
 1000    'jl    ' = last  j point of sub-region
  1.0     'tracer ' = layer  1 tracer
  1.0     'tracer ' = layer  2 tracer
  1.0     'tracer ' = layer  3 tracer
  1.0     'tracer ' = layer  4 tracer
  1.0     'tracer ' = layer  5 tracer
  1.0     'tracer ' = layer  6 tracer
  0.0     'tracer ' = layer  7 tracer
  0.0     'tracer ' = layer  8 tracer
  0.0     'tracer ' = layer  9 tracer
  0.0     'tracer ' = layer 10 tracer
  0.0     'tracer ' = layer 11 tracer
  0.0     'tracer ' = layer 12 tracer
  0.0     'tracer ' = layer 13 tracer
  0.0     'tracer ' = layer 14 tracer
  0.0     'tracer ' = layer 15 tracer
  0.0     'tracer ' = layer 16 tracer
  0.0     'tracer ' = layer 17 tracer
  0.0     'tracer ' = layer 18 tracer
  0.0     'tracer ' = layer 19 tracer
  0.0     'tracer ' = layer 20 tracer
  0.0     'tracer ' = layer 21 tracer
  0.0     'tracer ' = layer 22 tracer
  0.0     'tracer ' = layer 23 tracer
  0.0     'tracer ' = layer 24 tracer
  0.0     'tracer ' = layer 25 tracer
  0.0     'tracer ' = layer 26 tracer
  0.0     'tracer ' = layer 27 tracer
  0.0     'tracer ' = layer 28 tracer
  0.0     'tracer ' = layer 29 tracer
  0.0     'tracer ' = layer 30 tracer
  0.0     'tracer ' = layer 31 tracer
  0.0     'tracer ' = layer 32 tracer
 4400    'if    ' = first i point of sub-region (<=0 to end)
 4495    'il    ' = last  i point of sub-region
 200     'jf    ' = first j point of sub-region
 1000    'jl    ' = last  j point of sub-region
  1.0     'tracer ' = layer  1 tracer
  1.0     'tracer ' = layer  2 tracer
  1.0     'tracer ' = layer  3 tracer
  1.0     'tracer ' = layer  4 tracer
  1.0     'tracer ' = layer  5 tracer
  1.0     'tracer ' = layer  6 tracer
  1.0     'tracer ' = layer  7 tracer
  1.0     'tracer ' = layer  8 tracer
  1.0     'tracer ' = layer  9 tracer
  1.0     'tracer ' = layer 10 tracer
  1.0     'tracer ' = layer 11 tracer
  1.0     'tracer ' = layer 12 tracer
  1.0     'tracer ' = layer 13 tracer
  1.0     'tracer ' = layer 14 tracer
  1.0     'tracer ' = layer 15 tracer
  0.0     'tracer ' = layer 16 tracer
  0.0     'tracer ' = layer 17 tracer
  0.0     'tracer ' = layer 18 tracer
  0.0     'tracer ' = layer 19 tracer
  0.0     'tracer ' = layer 20 tracer
  0.0     'tracer ' = layer 21 tracer
  0.0     'tracer ' = layer 22 tracer
  0.0     'tracer ' = layer 23 tracer
  0.0     'tracer ' = layer 24 tracer
  0.0     'tracer ' = layer 25 tracer
  0.0     'tracer ' = layer 26 tracer
  0.0     'tracer ' = layer 27 tracer
  0.0     'tracer ' = layer 28 tracer
  0.0     'tracer ' = layer 29 tracer
  0.0     'tracer ' = layer 30 tracer
  0.0     'tracer ' = layer 31 tracer
  0.0     'tracer ' = layer 32 tracer
   0      'if    ' = first i point of sub-region (<=0 to end)
'E-o-D'
foreach MM ( 01 02 03 04 05 06 07 08 09 10 11 12)
 sed -e "s/ *. 00 .*     'month' =/  $MM    'month' =/" tracer.input >! fort.99

./tracer_const
 mv fort.10 relax_tracer_m${MM}.b
 mv fort.10A relax_tracer_m${MM}.a
end
setenv f1 relax.trcr_patches

cp relax_tracer_m01.b ${f1}.b

foreach MM ( 02 03 04 05 06 07 08 09 10 11 12 )
  tail +6 relax_tracer_m${MM}.b >> ${f1}.b
end

cp relax_tracer_m01.a ${f1}.a

foreach MM ( 02 03 04 05 06 07 08 09 10 11 12 )
  cat relax_tracer_m${MM}.a >> ${f1}.a
end
rm -f relax_tracer_m??.a relax_tracer_m??.b
rm -f fort.51A fort.51 fort.99 core tracer.input tracer_const

cp ${f1}.? ~/hycom/${R}/relax/
